Bug 1307201 - Custom Certificate Documentation for OSE v3 is invalid
Custom Certificate Documentation for OSE v3 is invalid
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Ashley Hardin
James Radtke
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 19:42 EST by James Radtke
Modified: 2016-02-23 10:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 10:26:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Radtke 2016-02-12 19:42:44 EST
Description of problem:
https://docs.openshift.com/enterprise/3.1/install_config/certificate_customization.html
".... associated with the publicMasterURL ..."

And you can see it does not exist in master-config.yaml
root@rh7osemst01 master]# grep publicMasterURL master-config.yaml
[root@rh7osemst01 master]# 

Version-Release number of selected component (if applicable):
3.1

How reproducible:
N/A

Steps to Reproduce:
1.N/A
2.
3.

Actual results:
N/A

Expected results:
I would like to see the document updated with the actual variable to update.
[root@rh7osemst01 master]# grep URL master-config.yaml
  logoutURL: ""
  masterPublicURL: https://openshift-cluster.aperture.lab:8443
  publicURL: https://openshift-cluster.aperture.lab:8443/console/
masterPublicURL: https://openshift-cluster.aperture.lab:8443
  assetPublicURL: https://openshift-cluster.aperture.lab:8443/console/
  masterPublicURL: https://openshift-cluster.aperture.lab:8443
  masterURL: https://openshift-cluster.aperture.lab:8443


Additional info:


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 1 Ashley Hardin 2016-02-15 13:00:02 EST
Should publicMasterURL be replaced with masterPublicURL on this page?

https://docs.openshift.com/enterprise/3.1/install_config/certificate_customization.html

Both publicMasterURL and masterPublicURL exist in the code. 

@Jordan, can you please help clarify based on the following former PR? Not sure if this was a typo that got carried through. 

https://github.com/openshift/openshift-docs/issues/1143#issuecomment-162761543

Seems like I should update this section to read "associated with the masterPublicURL, assetConfig.publicURL, and oauthConfig.assetPublicURL settings." Please help verify. Thanks!
Comment 2 Jordan Liggitt 2016-02-15 13:17:49 EST
It should be masterPublicURL, not publicMasterURL
Comment 3 Ashley Hardin 2016-02-15 14:23:58 EST
@Jordan. thanks!

@James, please review these edits and let us know if this satisfies your request. Thanks! https://github.com/openshift/openshift-docs/pull/1590
Comment 4 James Radtke 2016-02-15 21:35:59 EST
Look correct - thanks for the quick response!
Comment 5 openshift-github-bot 2016-02-16 08:56:01 EST
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/42c5a541bcf7f0294003e36e5078564cdc0ca697
Bug 1307201, replaced publicMasterURL with masterPublicURL

https://github.com/openshift/openshift-docs/commit/b561e30340a8e12d0f3b32b280081dc3a0b5f50f
Merge pull request #1590 from ahardin-rh/custom-certificates

Bug 1307201, replaced publicMasterURL with masterPublicURL

Note You need to log in before you can comment on or make changes to this bug.